Subject: Re: bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Jim Rees <[email-masked]>
Date: Fri, 12 Jan 2024 09:59:10 -0600

Normally this happens when I'm trying to edit text in a buffer. I only
mention the scratch buffer in the bug report because that's the easiest way
to reproduce the problem.

The mouse starts out somewhere in the window displaying the text I'm trying
to edit. I type M-%, enter the 'from' text, and when I hit <enter> the mouse
warps to the upper right corner of the window. I get the 'to' prompt but
then I can't type anything because the focus is on the edit window, not on
the minibuf.

I don't think it matters where in the text window the mouse starts out, but
it's hard to tell. About 10% of the time M-% works correctly but I can't
figure out why. I'll try to see if it has something to do with mouse
position.

Can you try with twm? It is lightweight and should run with no
configuration. I'm at a loss as to why I'm seeing this bug and no one else
is.